.video {
  position: relative;
  width: 100%;

  flex: none;

  overflow: hidden;

  &__player {
    position: relative;
    width: 100%;
    height: auto;
    z-index: 1;

    &::-webkit-media-controls {
      display:none !important;
    }
  }

  &__mask {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    bottom: 0;
    right: 0;
    left: 0;

    background-size: 100% 100%;
    background-repeat: no-repeat;
    background-position: center;

    z-index: 10;
  }
}
